CC=gcc
#NISTGCCFLAGS=-std=c99 -Wall -Wextra -Wshadow -fsanitize=address,undefined -O2
NISTGCCFLAGS=-std=c99 -Wall -Wextra -Wshadow -Os

LFLAGS=-lm

all: gcm

gcm: gcm.c genkat_aead.c aes.c cipher.c cipher_wrap.c platform_util.c
	$(CC) $(NISTGCCFLAGS) -o $@ $^ $(LFLAGS)

.PHONY: clean

clean:
	rm -rf *.o
	rm -rf gcm

